Loading...
Searching...
No Matches
bloom_filter_strong_types.hpp File Reference

Provides strong types for the (Interleaved) Bloom Filter. More...

`#include <seqan3/core/detail/strong_type.hpp>`
Include dependency graph for bloom_filter_strong_types.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | seqan3::bin_count
| A strong type that represents the number of bins for the seqan3::interleaved_bloom_filter. More...
struct | seqan3::bin_index
| A strong type that represents the bin index for the seqan3::interleaved_bloom_filter. More...
struct | seqan3::bin_size
| A strong type that represents the number of bits for each bin in the seqan3::interleaved_bloom_filter. More...
struct | seqan3::hash_function_count
| A strong type that represents the number of hash functions for the seqan3::interleaved_bloom_filter. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Enumerations

enum | seqan3::data_layout : bool { seqan3::uncompressed , seqan3::compressed }
| Determines if the Interleaved Bloom Filter is compressed. More...

## Detailed Description

Provides strong types for the (Interleaved) Bloom Filter.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>

Hide me